import request from '@/utils/request'

// 查询百度AI外呼加密列表
export function listAiobBaiduEncryption(query) {
  return request({
    url: '/aiob/AiobBaiduEncryption/list',
    method: 'get',
    params: query
  })
}

// 查询百度AI外呼加密详细
export function getAiobBaiduEncryption(id) {
  return request({
    url: '/aiob/AiobBaiduEncryption/' + id,
    method: 'get'
  })
}

// 新增百度AI外呼加密
export function addAiobBaiduEncryption(data) {
  return request({
    url: '/aiob/AiobBaiduEncryption',
    method: 'post',
    data: data
  })
}

// 修改百度AI外呼加密
export function updateAiobBaiduEncryption(data) {
  return request({
    url: '/aiob/AiobBaiduEncryption',
    method: 'put',
    data: data
  })
}

// 删除百度AI外呼加密
export function delAiobBaiduEncryption(id) {
  return request({
    url: '/aiob/AiobBaiduEncryption/' + id,
    method: 'delete'
  })
}

// 导出百度AI外呼加密
export function exportAiobBaiduEncryption(query) {
  return request({
    url: '/aiob/AiobBaiduEncryption/export',
    method: 'get',
    params: query
  })
}